#ifndef _RAVSI_
#define _RAVSI_

#include "sfile.h"
#include "rav.h"

class RAVSmartInterface
{
protected:
	Smartfile			*sf;
	FileInfoStr			header;
	PFrameSampleStr     sampleptr;

public:
	RAVSmartInterface();
	virtual ~RAVSmartInterface() { };

	BOOL 	Open(char *filename, Smartfile *s, void *ptr, long size);
	BOOL 	Close(void);
	
	BOOL 			ReadSample(PFrameSampleStr sample);
    FileInfoStr		*Header(void) { return &header; }
	BOOL 			Loop(void);

	BOOL			DoneLoading(void) { if (sf) return sf->DoneLoading(); else return FALSE; }
	//long			Filesize(void) { if (sf) return sf->Filesize(); else return 0; }
};


#endif
