#include "fwl5.h"
#include "game.h"
#include "gamewin.h"
#include "dsnd.h"
#include "options.h"

BaseWin* Game::CreateMainWindow()
{
//  SpawnSplash();

  GameWindow* w = new GameWindow(command);
  int swidth = GetSystemMetrics(SM_CXSCREEN);
  int sheight = GetSystemMetrics(SM_CYSCREEN);
	CRect winRect;
	CRect dblRect;
  winRect.left = 12;//(swidth-320)/2;
#define SGL_HT (264)
  winRect.top =  60;//(sheight-SGL_HT)/2;
  winRect.SetSize(CSize(320,SGL_HT));
  dblRect.left = (swidth-640)/2;
#define DBL_HT (504-20-8-8-8)
  dblRect.top = (sheight-DBL_HT)/2;
  dblRect.SetSize(CSize(640,DBL_HT));
  CRect splashRect;
  splashRect.left = (swidth-512)/2;
  splashRect.top = (sheight-384)/2;
  splashRect.SetSize(CSize(512,384));

  DWORD style= WS_POPUPWINDOW | WS_CAPTION;
    //WS_POPUP | WS_CAPTION | WS_BORDER; //WS_OVERLAPPEDWINDOW;
  AdjustWindowRect(&winRect, style, 0);
  AdjustWindowRect(&dblRect, style, 0);
  AdjustWindowRect(&splashRect, style, 0);
  w->SetStyle(style);
  w->SetLargeRect(dblRect);
  w->SetSmallRect(winRect);
  w->SetSplashRect(splashRect);

  extern GameOptions globalOptions;
  
  //w->SetZoom(globalOptions.ZoomOn());
  w->Move(splashRect);
  
  w->SetTitle("GameFilm Demo");
  w->SetSizeTracking(winRect.GetSize(), dblRect.GetSize(), CPoint(dblRect.left, dblRect.top));
  return w;
}

#define MINIMUM_TIMESLICE	5

void Game::PostWindowCreate(BaseWin* w)
{
  initDirectSound(w->GetHWND());
  timeBeginPeriod(MINIMUM_TIMESLICE);
  ((GameWindow*)w)->initTest();
}


Game::~Game()
{
  killDirectSound();
  timeEndPeriod(MINIMUM_TIMESLICE);
}
