#ifndef __APPLICATION_H
#define __APPLICATION_H

class BaseWin;
class Window;
class Application
{
  public:
    Application(HINSTANCE _thisInstance)
    {
      thisInstance = _thisInstance;
      it = this;
    }

    virtual ~Application();

    virtual BaseWin* CreateMainWindow();
    virtual int Run();
    static HINSTANCE FWGetAppInstance() { return it->thisInstance; }
    virtual HBRUSH GetMainBrush();
    virtual void PostWindowCreate(BaseWin*);
  protected:
    //Window* mainWindow;
    BaseWin* mainWindow;
    BaseWin* activeWin;
    int MessageLoop();
  private:
    static Application* it;
    HINSTANCE thisInstance;
};

int Main(void);

#endif

